/* str_cli.c
 * function used by connection-oriented clients
 *
 * read the contents of the FILE *fp, write each line to the
 * stream socket (to the server process), then read a line back
 * from the socket and write it to stdout
 *
 * return to caller when an EOF is encountered on the input file
 */

# define STR_CLI_H
# include "str_cli.h"

void str_cli(FILE *fp, int sockfd) {
   int n;
   char sendline[MAXLINE], recvline[MAXLINE+1];

   while (fgets(sendline, MAXLINE,fp) != NULL) {
      n = strlen(sendline);
      if (sendn(sockfd,sendline,n) != n) {
         perror("str_cli: write error on socket");
         exit(1);
      }

      /*
       * now read a line from the socket and
       * write it to stdout
       */
      n = recvn(sockfd, recvline, n);
      if (n < 0) { 
         perror("str_cli: readline error");
         exit(1);
      }
      recvline[n] = '\0';
      printf(">>> ");
      fputs(recvline,stdout);
   
   }

   if (ferror(fp)) {
      perror("str_cli: error reading file");
      exit(1);
   }
}

