/* -------------------- main_cli.c -----------------------
 * client using TCP protocol
 */

#include "inet.h"

int main(){
   int sockfd;
   struct sockaddr_in serv_addr;

   /*
    * fill in the structure "serv_addr" with address
    * of server we want to connect with
    */

   bzero( (char *) &serv_addr, sizeof(serv_addr));
   serv_addr.sin_family = AF_INET;
   serv_addr.sin_addr.s_addr = inet_addr(SERV_HOST_ADDR);
   serv_addr.sin_port = htons(SERV_TCP_PORT);

   /*
    * open a TCP socket - internet stream socket
    */
   
   if ( (sockfd = socket(AF_INET, SOCK_STREAM,0)) < 0 ) {
      perror("client: can't open stream socket");
      exit(2);
   }

   /*
    * connect to the server
    */

   if (connect(sockfd, (struct sockaddr *) &serv_addr,
         sizeof(serv_addr) ) < 0) {
      perror("client: can't connect to server");
      exit(3);
   }

   /**************************/
   {
      FILE *fp;
      char buf[1024];

      fp = fdopen(sockfd, "r+");
      if (!fp) {
	 perror("fdopen");
	 exit(1);
      }

      if (!fgets(buf, sizeof(buf), stdin)) {
	 perror("fgets");
	 exit(2);
      }

      fputs(buf, fp);
      fflush(fp);

      if (!fgets(buf, sizeof(buf), fp)) {
	 perror("fgets");
	 exit(3);
      }

      fprintf(stdout, ">>> %s", buf);

      fclose(fp); /* nicht vergessen! (... danach kein close() mehr!) */
   }
   /**************************/

   exit(0);
}
